=== debian/changelog ===
apq-postgresql (3.2.0-3) unstable; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Renaming of -dev and -dbg packages are mandated by Debian Ada Policy,
    section 3.2.3 and 5.3.2.
  * Transition to gnat-4.9 compiler (Closes: #755016)
  * Update to Standards-Version 3.9.5
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Bump aliversion and switch to integer aliversion scheme
    Change -dev package name according to Debian Ada Policy section 3.2.3
  * Declare conflict with libapq-postgresql3.2.0 as per Debian Ada Policy
  * Update dependency of package apq (Closes: #759702)
  * Update upstream website URLs
  * Update debian/copyright
  * Remove numeric prefix from patches
  * Abort build on error
  * Update to debhelper 9
  * Drop debian/source/local-options
  * Fail dh_install on missing files for all packages
  * Make -dbg package compliant to Debian Ada Policy
  * Fix source directory in samples project file
  * Do not set RPATH when linking library
  * Log compilation output
  * Add minimal run time test for installed package
  * Fix compiler warnings
  * Bump soname of library package
  * Enable dpkg-buildflags hardening options
  * Add Nicolas Boulenguez as Uploader to debian/control
  * Drop d/README.source as format 3.0 is well documented

  [ Nicolas Boulenguez ]
  * Build-Depends: the same gcc-x.y than gnat-x.y, even if not the default gcc.
  * README.Debian: mention Ada policy, must be in -dev package (5.3.7).
  * Avoid a duplicate "debug" build (-g already passed via buildflags).
  * Spelling in control: case for PostgreSQL.
  * Let C(PP)FLAGS override the one from pg_config

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 09 Sep 2014 22:34:00 +0200

apq-postgresql (3.2.0-2) unstable; urgency=low

  [ Adrian-Ken Rueegsegger ]
  * Add missing build dependencies (Closes: #663622)

 -- Reto Buerki <reet@codelabs.ch>  Fri, 16 Mar 2012 16:14:29 +0100

apq-postgresql (3.2.0-1) unstable; urgency=low

  * Imported Upstream version 3.2.0
  * Update to Standards-Version 3.9.3 (no changes)
  * Update to debhelper 8
  * Update Vcs-Git URL
  * Update copyright information
  * Set package names to new library version 3.2.0
  * Migrate to gnat-4.6 (Closes: #660527)
  * Update patches
  * Update GNAT project file
  * Provide project file for example code
  * Update rules
  * Switch to 3.0 (quilt) source package format
  * Fix binary-control-field-duplicates-source warning
  * Add uploaders and allow DM upload

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 07 Mar 2012 12:24:18 +0100

apq-postgresql (3.0-4) unstable; urgency=low

  * Use current dir to construct helper lib path (Closes: #570887).
  * Fix missing-debian-source-format lintian warning.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 13 Apr 2010 20:41:17 +0200

apq-postgresql (3.0-3) unstable; urgency=low

  * Pass helper library directory to linker (Closes: #570887).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 01 Apr 2010 20:58:01 +0200

apq-postgresql (3.0-2) unstable; urgency=low

  * Add missing depends to dev package.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Fri, 19 Feb 2010 15:06:55 +0100

apq-postgresql (3.0-1) unstable; urgency=low

  * Merging upstream version 3.0.
  * Update to new upstream URL.
  * Bump Standards-Version to 3.8.3.
  * Fix git Vcs URLs.
  * Build with GNAT 4.4 (Closes: #555097).
  * Update patches.
  * Update rules.
  * Update dev install and example files.
  * Update lintian overrides.
  * Make package compliant to latest Debian Ada Policy.
  * Remove unneeded linker switches.
  * Add README.source file.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Update to Standards-Version 3.8.4 (no changes).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 17 Feb 2010 22:06:29 +0100

apq-postgresql (3.0~b1-1) unstable; urgency=low

  * Initial Release.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 14 May 2009 23:48:45 +0200
