=== debian/control ===
Source: apq-postgresql
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), gnat, gnat-4.9, gcc-4.9, gprbuild,
 libpq-dev, libapq4-dev
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/kowframework/
Vcs-Browser: http://git.codelabs.ch/?p=debian/apq-postgresql.git
Vcs-Git: http://git.codelabs.ch/git/debian/apq-postgresql.git
XS-Testsuite: autopkgtest

Package: libapq-postgresql3.2.0.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APQ Ada 95 PostgreSQL Binding Plugin (library)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.

Package: libapq-postgresql4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libapq-postgresql3.2.0.1 (= ${binary:Version}),
 libpq-dev, libapq4-dev, gnat, gnat-4.9
Breaks: libapq-postgresql3.2.0-dev
Replaces: libapq-postgresql3.2.0-dev
Description: APQ Ada 95 PostgreSQL Binding Plugin (development)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.
 .
 This package contains the development files.

Package: libapq-postgresql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libapq-postgresql3.2.0.1 (= ${binary:Version})
Recommends: libapq-postgresql4-dev (= ${binary:Version})
Suggests: gnat
Description: APQ Ada 95 PostgreSQL Binding Plugin (debug)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.
 .
 This package contains the debugging symbols.
